=== cddl/Makefile ===
# $FreeBSD: stable/9/cddl/Makefile 168792 2007-04-16 21:20:26Z ru $

SUBDIR=	lib sbin usr.bin usr.sbin

.include <bsd.subdir.mk>
