=== games/Makefile ===
#	@(#)Makefile	8.2 (Berkeley) 3/31/94
# $FreeBSD: stable/9/games/Makefile 105515 2002-10-20 11:18:56Z markm $

SUBDIR= \
	bcd \
	caesar \
	factor \
	fortune \
	grdc \
	morse \
	number \
	pom \
	ppt \
	primes \
	random

.include <bsd.subdir.mk>
