=== gnu/Makefile ===
#	@(#)Makefile	5.33.1.1 (Berkeley) 5/6/91
# $FreeBSD: stable/9/gnu/Makefile 97874 2002-06-05 17:02:37Z obrien $

SUBDIR= lib usr.bin

.include <bsd.subdir.mk>
