=== rescue/Makefile ===
# $FreeBSD: stable/9/rescue/Makefile 117035 2003-06-29 18:35:37Z gordon $

SUBDIR=	librescue \
	rescue

.include <bsd.subdir.mk>
