=== crypto/heimdal/packages/debian/control ===
Source: heimdal
Section: net
Priority: optional
Maintainer: Love Hornquist Astrand <lha@h5l.org>
Standards-Version: 3.7.2
Build-Depends: libncurses5-dev, bison, flex, debhelper (>= 4.1.16), libx11-dev, libxau-dev, libxt-dev, libedit-dev, libdb4.4-dev, libssl-dev (>= 0.9.8), cdbs, quilt, comerr-dev (>= 1.35-1), libldap2-dev, texinfo
Build-Conflicts: heimdal-dev

Package: heimdal-docs
Section: doc
Priority: extra
Architecture: all
Depends: 
Replaces: heimdal-lib (<< 0.3c-5), libkrb5-15-heimdal, heimdal-servers (<< 0.6.3-3)
Conflicts: heimdal-lib (<< 0.3c-5)
Suggests: heimdal-clients, heimdal-clients-x, heimdal-servers, heimdal-servers-x
Description: Documentation for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes documentation (in info format) on how to
 use Heimdal, and relevant standards for Kerberos.

Package: heimdal-kdc
Priority: extra
Architecture: any
Conflicts: kerberos4kth-kdc, heimdal-clients (<< 0.4e-3), heimdal-servers (<< 0.6.3-3), krb5-kdc, krb5-admin-server
Depends: ${shlibs:Depends}, heimdal-clients, logrotate, debconf (>= 0.5.00) | debconf-2.0, krb5-config, netbase, openbsd-inetd | inet-superserver, update-inetd
Replaces: heimdal-clients (<< 0.7.2-1), heimdal-servers (<< 0.4e-3)
Suggests: heimdal-docs
Description: KDC for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KDC (key distribution centre) server,
 which is designed to run on a secure computer and keeps track
 of users passwords. This is done using the Kerberos protocol in
 such a way that the server computers do not need to know user's
 passwords.

Package: heimdal-dev
Section: devel
Priority: extra
Architecture: any
Conflicts: heimdal-clients (<< 0.4e-7), kerberos4kth-dev
Depends: libasn1-8-heimdal (= ${Source-Version}), libkrb5-22-heimdal (= ${Source-Version}), libhdb9-heimdal (= ${Source-Version}), libkadm5srv8-heimdal (= ${Source-Version}), libkadm5clnt7-heimdal (= ${Source-Version}), libgssapi2-heimdal (= ${Source-Version}), libkafs0-heimdal (= ${Source-Version}), libheimntlm-0-heimdal (= ${Source-Version}), libhx509-1-heimdal (= ${Source-Version}), comerr-dev
Replaces: heimdal-clients (<< 0.4e-7)
Suggests: heimdal-docs
Description: Development files for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This is the development package, required for developing
 programs for Heimdal.

Package: heimdal-clients-x
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, netbase, heimdal-clients
Replaces: heimdal-clients (<< 0.2l-2)
Conflicts: heimdal-clients (<< 0.2l-2), kerberos4kth-x11
Suggests: heimdal-docs
Description: X11 files for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes kerberos client programs for forwarding the X
 connection securely to a remote computer.

Package: heimdal-clients
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, krb5-config
Conflicts: telnet (<< 0.17-1), ftp (<< 0.16-1), rsh-client (<< 0.16.1-1), netstd, telnet-ssl (<< 0.14.9-2), ssltelnet, kerberos4kth-user, kerberos4kth-clients, otp, heimdal-servers (<< 0.4e-7), openafs-client (<< 1.2.2-3)
Provides: telnet-client, ftp, rsh-client
Suggests: heimdal-docs, heimdal-kcm
Replaces: heimdal-servers (<< 0.6.3-12)
Description: Clients for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes client programs like telnet and ftp that have been
 compiled with Kerberos support.

Package: heimdal-kcm
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: KCM for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KCM daemon.
 The kcm daemon can hold the credentials for all users in the system.
 Access control is done with Unix-like permissions.  The daemon checks the
 access on all operations based on the uid and gid of the user.  The
 tickets are renewed as long as is permitted by the KDC's policy.

Package: heimdal-servers-x
Priority: extra
Architecture: any
Conflicts: kerberos4kth-x11, heimdal-servers (<< 0.2l-3)
Depends: ${shlibs:Depends}, netbase, heimdal-servers
Suggests: heimdal-docs
Replaces: heimdal-servers (<< 0.2l-3)
Description: X11 files for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes kerberos server programs for forwarding the X
 connection securely from a remote computer.

Package: heimdal-servers
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, netbase, krb5-config, update-inetd, openbsd-inetd | inet-superserver
Conflicts: telnetd,  wu-ftpd-academ (<< 2.5.0), netstd, heimdal-clients (<< 0.2l-2), telnetd-ssl, kerberos4kth-services, ftp-server, rsh-server, telnet-server, pop3-server
Provides: ftp-server, rsh-server, telnet-server
Suggests: heimdal-docs
Replaces: heimdal-clients (<< 0.2l-2)
Description: Servers for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package includes servers like telnetd and ftpd that have been
 compiled with Heimdal support.

Package: libasn1-8-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the asn1 parser required for Heimdal.

Package: libkrb5-22-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the kerberos 5 library.

Package: libheimntlm-0-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the NTLM library.

Package: libhx509-1-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the hx509 library, and X.509 library.

Package: libhcrypto-4-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the hcrypto library.

Package: libhdb9-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for storing the KDC database.

Package: libkadm5srv8-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the server library for kadmin.

Package: libkadm5clnt7-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the client library for kadmin.

Package: libgssapi2-heimdal
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for GSSAPI support.

Package: libkafs0-heimdal
Section: libs
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for KAFS support.

Package: libroken18-heimdal
Section: libs
Priority: extra
Architecture: any
Conflicts: libroken16-kerberos4kth
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for roken support.

Package: libotp0-heimdal
Section: libs
Priority: extra
Architecture: any
Conflicts: libotp0-kerberos4kth
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for OTP support.

Package: libsl0-heimdal
Section: libs
Priority: extra
Architecture: any
Conflicts: libsl0-kerberos4kth
Depends: ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for SL support.
