=== contrib/ofed/libibverbs/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_AUTO_UPDATE_LIBTOOL := post
DEB_DH_MAKESHLIBS_ARGS_ALL := -V 'libibverbs1 (>= 1.1.2)'

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
