=== contrib/ofed/libmthca/debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_AUTO_UPDATE_LIBTOOL := post

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
