=== crypto/heimdal/packages/debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_INSTALL_DOCS_ALL =
DEB_INSTALL_DOCS_heimdal-docs = $(filter-out $(DEB_INSTALL_CHANGELOGS_ALL),$(shell for f in README NEWS TODO BUGS AUTHORS THANKS; do if test -s $(DEB_SRCDIR)/$$f; then echo $(DEB_SRCDIR)/$$f; fi; done)) \
	NEWS TODO


DEB_DH_INSTALL_SOURCEDIR = debian/tmp

DEB_CONFIGURE_LIBEXECDIR ="\$${prefix}/sbin"

DEB_CONFIGURE_EXTRA_FLAGS := \
	--enable-shared \
	--enable-otp \
	--with-kaserver \
	--with-openssl \
	--with-openldap \
	--with-readline-include=/usr/include/editline \
	--enable-kcm

# /var/lib/heimdal-kdc is 700
DEB_FIXPERMS_EXCLUDE = heimdal-kdc

binary-post-install/heimdal-servers::
	mv debian/heimdal-servers/usr/sbin/kfd debian/heimdal-servers/usr/lib/heimdal-servers
	mv debian/heimdal-servers/usr/sbin/ftpd debian/heimdal-servers/usr/lib/heimdal-servers
	mv debian/heimdal-servers/usr/sbin/rshd debian/heimdal-servers/usr/lib/heimdal-servers
	mv debian/heimdal-servers/usr/sbin/telnetd debian/heimdal-servers/usr/lib/heimdal-servers
	mv debian/heimdal-servers/usr/sbin/popper debian/heimdal-servers/usr/lib/heimdal-servers
	mv debian/heimdal-servers/usr/bin/login debian/heimdal-servers/usr/lib/heimdal-servers

binary-post-install/heimdal-servers-x::
	mv debian/heimdal-servers-x/usr/sbin/kxd debian/heimdal-servers-x/usr/lib/heimdal-servers

binary-post-install/heimdal-kdc::
	mv debian/heimdal-kdc/usr/sbin/kdc debian/heimdal-kdc/usr/lib/heimdal-servers
	mv debian/heimdal-kdc/usr/sbin/kadmind debian/heimdal-kdc/usr/lib/heimdal-servers
	mv debian/heimdal-kdc/usr/sbin/kpasswdd debian/heimdal-kdc/usr/lib/heimdal-servers
	install -m644 debian/extras/default debian/heimdal-kdc/etc/default/heimdal-kdc
	install -m644 lib/hdb/hdb.schema debian/heimdal-kdc/etc/ldap/schema/hdb.schema
	dh_fixperms -pheimdal-kdc
	chmod 700 debian/heimdal-kdc/var/lib/heimdal-kdc

binary-post-install/heimdal-clients::
	mv debian/heimdal-clients/usr/bin/telnet debian/heimdal-clients/usr/bin/ktelnet
	mv debian/heimdal-clients/usr/bin/ftp debian/heimdal-clients/usr/bin/kftp
	mv debian/heimdal-clients/usr/share/man/man1/telnet.1 debian/heimdal-clients/usr/share/man/man1/ktelnet.1
	mv debian/heimdal-clients/usr/share/man/man1/ftp.1 debian/heimdal-clients/usr/share/man/man1/kftp.1
	mv debian/heimdal-clients/usr/bin/rsh debian/heimdal-clients/usr/bin/krsh
	mv debian/heimdal-clients/usr/bin/rcp debian/heimdal-clients/usr/bin/krcp
	mv debian/heimdal-clients/usr/bin/pagsh debian/heimdal-clients/usr/bin/kpagsh
	mv debian/heimdal-clients/usr/bin/su debian/heimdal-clients/usr/bin/ksu
	mv debian/heimdal-clients/usr/share/man/man1/rsh.1 debian/heimdal-clients/usr/share/man/man1/krsh.1
	mv debian/heimdal-clients/usr/share/man/man1/pagsh.1 debian/heimdal-clients/usr/share/man/man1/kpagsh.1
	mv debian/heimdal-clients/usr/share/man/man1/su.1 debian/heimdal-clients/usr/share/man/man1/ksu.1

binary-post-install/heimdal-docs::
	mv debian/heimdal-docs/usr/share/man/man5/krb5.conf.5 debian/heimdal-docs/usr/share/man/man5/krb5.conf.5heimdal
